<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="ingesta">
        <h2 class="jh-entity-heading" data-cy="ingestaDetailsHeading">
          <span v-text="$t('gatewayApp.manillaIngesta.detail.title')">Ingesta</span> {{ ingesta.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaIngesta.tipo')">Tipo</span>
          </dt>
          <dd>
            <span>{{ ingesta.tipo }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaIngesta.consumoCalorias')">Consumo Calorias</span>
          </dt>
          <dd>
            <span>{{ ingesta.consumoCalorias }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaIngesta.fechaRegistro')">Fecha Registro</span>
          </dt>
          <dd>
            <span v-if="ingesta.fechaRegistro">{{ $d(Date.parse(ingesta.fechaRegistro), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaIngesta.user')">User</span>
          </dt>
          <dd>
            {{ ingesta.user ? ingesta.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="ingesta.id" :to="{ name: 'IngestaEdit', params: { ingestaId: ingesta.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./ingesta-details.component.ts"></script>
